Name:		referencer
Summary:	A document organiser and bibliography manager for Gnome
Version:	1.0.4
Release:	1%{?dist}
Group:		Applications/System
License:	GPL
URL:		http://icculus.org/referencer
Source0:	http://icculus.org/referencer/downloads/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	poppler-devel libgnomeuimm26-devel
BuildRequires:	boost-devel gcc-c++
BuildRequires:	gettext perl(XML::Parser)
BuildRequires:	desktop-file-utils

%description
Referencer is a Gnome application to organise documents or references, and
ultimately generate a BibTeX bibliography file.
Its features include automatic metadata retrieval, smart web links, ability to
import from BibTeX, Reference Manager and EndNote, and tagging.

%prep
%setup -q

%build
%configure --disable-update-mime-database
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="%{__install} -p" install

desktop-file-install --delete-original			\
	--vendor fedora					\
	--remove-category Application			\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop


%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

update-desktop-database &> /dev/null ||:

update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

update-desktop-database &> /dev/null ||:

update-mime-database %{_datadir}/mime &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/referencer
%{_datadir}/applications/fedora-referencer.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/mime/packages/referencer.xml
%{_datadir}/pixmaps/referencer.svg
%{_datadir}/referencer/

%changelog
* Thu May 31 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.4-1
- New release

* Wed May 30 2007 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 1.0.3-3
- Fix the crash on x86_64

* Sat May 05 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.3-2
- Preserve timestamp (from package review)

* Sat May 05 2007 Deji Akingunola <dakingun@gmail.com> - 1.0.3-1
- Initial packaging for Fedora
